import { ObjectId } from "mongodb";

export default interface DBPlanet {
    _id: ObjectId;
    name: string;
    fields: number;
    resources: Array<{ id: string, amount: number, lastUpdated: Date, perHourMiningRate: number }>;
    buildings: Array<{ id: string, level: number }>;
    ships: Array<{ id: string, amount: number }>;
}